Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.objects.exception
Class DuplicateChildKeyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.mdm.index.master.EViewException
                  com.sun.mdm.index.master.ProcessingException
                      com.sun.mdm.index.objects.exception.ObjectException
                          com.sun.mdm.index.objects.exception.DuplicateChildKeyException

All Implemented Interfaces:
  java.io.Serializable

public class DuplicateChildKeyException
extends ObjectException

The DuplicateChildKeyException class represents an exception thrown when duplicate unique keys are found in child objects of the same type (for example, when two home addresses are entered in one enterprise object).

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`DuplicateChildKeyException()` Creates a new instance of the DuplicateChildKeyException class without an error message.
`DuplicateChildKeyException(java.lang.String msg)` Creates a new instance of the DuplicateChildKeyException class with an error message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DuplicateChildKeyException

    public DuplicateChildKeyException()

  Creates a new instance of the DuplicateChildKeyException class without an error message.

  Parameters:
    None.
  Throws:
    None.

### DuplicateChildKeyException

    public DuplicateChildKeyException(java.lang.String msg)

  Creates a new instance of the DuplicateChildKeyException class with an error message.

  Parameters:
    `msg` - The error message to display for the type of error that occurred.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.